summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2015-08-09 16:29:51 -0700
committerZac Medico <zmedico@gentoo.org>2015-08-09 22:35:12 -0700
commitb92deb74304bb59c1304566c54551d7b58b4b60b (patch)
treed3d365b63bc94686fc1e12b426bccfd687426fee /dev-go/go-net
parentdev-go/go-text: 0_pre20150806 version bump (diff)
downloadgentoo-b92deb74304bb59c1304566c54551d7b58b4b60b.tar.gz
gentoo-b92deb74304bb59c1304566c54551d7b58b4b60b.tar.bz2
gentoo-b92deb74304bb59c1304566c54551d7b58b4b60b.zip
dev-go/go-net: 0_pre20150804 version bump
Package-Manager: portage-2.2.20
Diffstat (limited to 'dev-go/go-net')
-rw-r--r--dev-go/go-net/Manifest1
-rw-r--r--dev-go/go-net/go-net-0_pre20150804.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-go/go-net/Manifest b/dev-go/go-net/Manifest
index 0cfbd60e358..bf40cb72b21 100644
--- a/dev-go/go-net/Manifest
+++ b/dev-go/go-net/Manifest
@@ -1 +1,2 @@
DIST go-net-0_pre20150604.tar.gz 470847 SHA256 407c9a5796baabb40a04cc09fcbc21efc0df72c38e95550054f8191741ad6207 SHA512 5bf62beed4a5d847dd4034fb713412f26f48d392c133ad4ac7409b75af82cb4b72ce46c3dbda7aab58d42879db4bb120432722362f7b8d2cb8131e9f3709c4e5 WHIRLPOOL ab69bca5c7c72a88d64a694b01911645850cea7741798934d3350a49d57704c0be99a9ebaca7582aed5e03be64dd3daf25778e3193b65f9cad522d6b62397c82
+DIST go-net-0_pre20150804.tar.gz 539435 SHA256 77fb87becd3ddb68ff06acd3a1bf1246b390e7489b3e25a9ee9314f7457ccf60 SHA512 02a9734f8335909a15280e925b11ff03b96fbedd6e48fa5c3f869ab1a8b3062971d634f7043f92cee685c618222b147fdee915f1d5d83bd82cdde171970287e3 WHIRLPOOL a63befad593737449f393d7f4490b1680d8cba808f6163b9723b0d1d228480cdcbf9e2fb091ffc96f9121aabde1e24b06f3ddcb7b30e4bffa6e39dece5a8b3e0
diff --git a/dev-go/go-net/go-net-0_pre20150804.ebuild b/dev-go/go-net/go-net-0_pre20150804.ebuild
new file mode 100644
index 00000000000..953c5bf7ceb
--- /dev/null
+++ b/dev-go/go-net/go-net-0_pre20150804.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+EGO_PN=golang.org/x/net/...
+EGO_SRC=golang.org/x/net
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="1bc0720082d79ce7ffc6ef6e523d00d46b0dee45"
+ SRC_URI="https://github.com/golang/net/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go supplementary network libraries"
+HOMEPAGE="https://godoc.org/golang.org/x/net"
+LICENSE="BSD"
+SLOT="0/${PV}"
+IUSE=""
+DEPEND="dev-go/go-text:="
+RDEPEND=""
+
+src_prepare() {
+ # disable broken tests
+ sed -e 's:TestReadProppatch(:_\0:' \
+ -i src/${EGO_SRC}/webdav/xml_test.go || die
+ sed -e 's:TestPingGoogle(:_\0:' \
+ -e 's:TestNonPrivilegedPing(:_\0:' \
+ -i src/${EGO_SRC}/icmp/ping_test.go || die
+}
+
+src_compile() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ cp -sR "$(go env GOROOT)" "${T}/goroot" || die
+ rm -rf "${T}/goroot/src/${EGO_SRC}" || die
+ rm -rf "${T}/goroot/pkg/$(go env GOOS)_$(go env GOARCH)/${EGO_SRC}" || die
+ export GOROOT="${T}/goroot"
+ golang-build_src_compile
+}